Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 25-09-2018 00:05:46

Sumak Kawsay
Membre
Lieu : Grenoble
Distrib. : Debian Buster
Noyau : Linux 4.19.0-6-amd64
(G)UI : GNOME
Inscription : 24-09-2018

[résolu] Bug d'affichage et diverses questions

Bonjour bonsoir !

Je viens tout juste d'(enfin) installer Debian sur ma machine, et je rencontre un léger bug d'affichage. N'étant pas très à l'aise avec l'OS, j'ai décidé d'ouvrir un poste pour me faire inculquer les bonnes pratiques ! smile

https://ibb.co/h54qgp

Voici ce qui arrive à mon système ("aléatoirement", où lorsque je lance certaines applications (Atom))... J'me dit que ça vient probablement d'un soucis de drivers, ce qui m'amène à vous demander : quel est le "meilleur" moyen de télécharger des drivers et les maintenir à jour ? Impatient d'attendre la réponse, j'ai télécharger un ".run" via le site de Nvidia (https://www.nvidia.fr/Download/driverRe … /137435/fr), mais je ne comprends pas vraiment les mécanismes qui ont lieu. La barre bleu sur l'image ci-dessous indique-t-elle que les drivers sont en cours de téléchargement ?

https://ibb.co/fRzRnU 

Également, mais c'est un peu hors sujet, j'ai calculé l'empreinte md5 du fichier (présent dans le fichier .run) et les résultats ne concordent pas (capture ci-dessous). Quelle bêtise ai-je fait ? big_smile
https://ibb.co/htN1Mp

Je m'arrête là pour les questions pour le moment.  Bonne soirée, merci à ceux qui passent par là !
Sumak

Dernière modification par Sumak Kawsay (07-11-2018 19:04:43)

Hors ligne

#2 25-09-2018 00:19:24

empanada
Membre
Distrib. : Debian 10 (Buster)
Noyau : 4.19.0-6-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : [résolu] Bug d'affichage et diverses questions

Sumak Kawsay a écrit :

quel est le "meilleur" moyen de télécharger des drivers et les maintenir à jour ? Impatient d'attendre la réponse, j'ai télécharger un ".run" via le site de Nvidia (https://www.nvidia.fr/Download/driverRe … /137435/fr), mais je ne comprends pas vraiment les mécanismes qui ont lieu.



Mieux de suivre la guide de la web wiki officiel de Debian
Après tout installer nvidia-detect (comme dit sou le point "1"), et en fonction de la sortie de la commande nvidia-detect , continuer selon les pilotes recommendés par nvidia-detect. Les differents branches de pilotes ont des differents pas pour leur installation. Tous les options sont dans la guide. En tout cas je supose Debian 9 (Stretch)...


"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

#3 25-09-2018 01:03:34

Sumak Kawsay
Membre
Lieu : Grenoble
Distrib. : Debian Buster
Noyau : Linux 4.19.0-6-amd64
(G)UI : GNOME
Inscription : 24-09-2018

Re : [résolu] Bug d'affichage et diverses questions

empanada a écrit :

Mieux de suivre la guide de la web wiki officiel de Debian



Merci je n'étais pas tombé sur ce guide ! Je le suivrai demain (j'y ai jeté un coup d'oeil, ça à l'aire parfait ! Mais il est temps de dormir maintenant sad )).
Merci également pour tes précisions, bonne nuit

Hors ligne

#4 25-09-2018 16:18:53

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Bug d'affichage et diverses questions

Bonjour

ce serait bien de remplir ton profil sur le forum
je suppose que tu a debian 9 (stretch) et une carte nvidia et une debian "amd64"
modifier ton sources.list dans /etc/apt/sources.list comme ceci


#stretch
deb http://security.debian.org/ stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
 


mettre a jour apt


apt update
 


détecter ta carte graphique
installation du paquet nvidia-detect


apt-get install nvidia-detect
 


lancer la commande


nvidia-detect
 


poster le retour sur le forum
installer les headers


apt-get install linux-headers-amd64
 


installer le driver nvidia (selon le type de carte , le driver peu changer , ici le driver par défaut de stretch (le retour de nvidia-detect nous le précisera).


apt-get install nvidia-driver
 



et reboot


reboot
 



nota: tu n'a pas installé le .run de nvidia ? , sinon il faut le supprimer et faire un reboot de la machine avant de faire les commandes ci dessus.

le mieux est de donner une description de ta machine et le type de carte graphique avant de faire quoique ce soit
le retour de lspci


lspci
 



si le bureau n'est pas utilisable sous "nouveau " précise le.
une combinaison de touches "Ctrl+Alt+F2" peu te donner la main en console pure (ou le mode dépannage de grub)

enfin comme ta demande n'est pas très précise , difficile de te guider  roll

Hors ligne

#5 25-09-2018 17:42:39

Sumak Kawsay
Membre
Lieu : Grenoble
Distrib. : Debian Buster
Noyau : Linux 4.19.0-6-amd64
(G)UI : GNOME
Inscription : 24-09-2018

Re : [résolu] Bug d'affichage et diverses questions

robert2a a écrit :

Bonjour

ce serait bien de remplir ton profil sur le forum



Salut ! C'est prévu (et tu n'es pas le premier à m'inviter à le faire), j'm'y colle juste après wink

robert2a a écrit :


nota: tu n'a pas installé le .run de nvidia ? , sinon il faut le supprimer et faire un reboot de la machine avant de faire les commandes ci dessus.


J'ai supprimé le .run, je viens de reboot, j'me lance dans tes indications !


Edition de sources.list :
- ancien fichier (remplacé intégralement par celui que tu m'as transmis, si jamais quelqu'un à des commentaires):


#

# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 NETINST 20180714$

# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 NETINST 20180714$

deb http://ftp.fr.debian.org/debian/ stretch main
deb-src http://ftp.fr.debian.org/debian/ stretch main

deb http://security.debian.org/debian-security stretch/updates main
# Line commented out by installer because it failed to verify:
# deb-src http://security.debian.org/debian-security stretch/updates main

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main
 




nvidia-detect


Detected NVIDIA GPUs:
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GK106 [GeForce GTX 660] [10de:11c0] (rev a1)

Checking card:  NVIDIA Corporation GK106 [GeForce GTX 660] (rev a1)
Your card is supported by all driver versions.
It is recommended to install the
    nvidia-driver
package.
 



J'ai poursuivi les indications jusqu'à obtenir ce message :

apt-get install nvidia-driver


ATTENTION : les paquets suivants n'ont pas été authentifiés.
  libvulkan1
 


Auquel j'ai validé l'option par défaut (non)


robert2a a écrit :

enfin comme ta demande n'est pas très précise , difficile de te guider  roll


Je sais, navré, étant débutant j'ai mal à identifier l'origine des dysfonctionnements. Merci beaucoup pour ton aide en tout cas smile

Hors ligne

#6 25-09-2018 18:08:41

smolski
quasi...modo
Lieu : AIN
Distrib. : backports (buster) 10
Noyau : Linux 4.19.0-8-amd64
(G)UI : gnome
Inscription : 21-10-2008

Re : [résolu] Bug d'affichage et diverses questions

On va commencer par recomposer des sources pile poil bien en les réécrivant façon geek facile. smile

Tu vas copier/coller dans un terminal root, l'intégralité de la commande qui suit :

cat > /etc/apt/sources.list <<EOF
# stable
deb http://deb.debian.org/debian/ stretch main contrib non-free
# stable updates
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
# stable-backports
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
# stable security
deb http://security.debian.org/ stretch/updates main contrib non-free
EOF



Et la valider..

Puis tu nous redonnes confirmation par copie/colle du résultat en user ce coup-ci :

cat /etc/apt/sources.list



Force et courage

Dernière modification par smolski (25-09-2018 18:09:18)


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#7 25-09-2018 18:23:51

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Bug d'affichage et diverses questions

la version de libvulkan1 sur stretch est celle ci => https://packages.debian.org/stretch/libvulkan1
nota: modifié , la version amd64 et i386 porte le meme nom , le lien pointe sur le paquet "amd64" maintenant
si ce n'est pas le cas peut etre la remplacé par la bonne version. (voir "remarque" plus bas )

le reboot c'est bien passé avec le driver ?

si tu joue un peu peut etre mettre le 32 bits (i386) avec le multiarch , c'est optionnel , mais avec steam par exemple utile.

la GTX660 est une ancienne carte , le driver de stretch la prend bien en charge (même le driver "nouveau")

pour le multiarch =>  https://wiki.debian.org/fr/Multiarch/HOWTO


dpkg --add-architecture i386
 


puis


apt-get update
 




apt-get upgrade
 



remarque:
le paquet libvulkan1 fait partie de debian , le driver nonfree nvidia a ses propres paquets vulkan , je sais pas pourquoi tu a eu ce message
a priori c'est le paquet nvidia-vulkan-icd qui a une dépendance avec le paquet libvulkan1
j'ai deux paquets , nvidia-vulkan-common et nvidia-vulkan-icd pour mon driver nvidia

ps: tu a refusé l'installation du driver quand tu dis avoir dit "non"
désolé je suis parfois un peu long a la détente old_geek.gif

en cas de problème faire une simulation


apt-get -s install nvidia-driver
 



encore mieux utiliser aptitude et la simulation , il te proposera des solutions
tout ceci n'installe rien


aptitude -s install nvidia-driver
 



si aptitude n'est pas installé


apt-get install aptitude aptitude-doc-fr
 

Dernière modification par robert2a (25-09-2018 18:55:02)

Hors ligne

#8 25-09-2018 19:23:49

Sumak Kawsay
Membre
Lieu : Grenoble
Distrib. : Debian Buster
Noyau : Linux 4.19.0-6-amd64
(G)UI : GNOME
Inscription : 24-09-2018

Re : [résolu] Bug d'affichage et diverses questions

smolski a écrit :

Puis tu nous redonnes confirmation par copie/colle du résultat en user ce coup-ci :


Héhé salut, merci pour ton aide ! Faut que je me renseigne sur les stretch apparemment

root@debian:/home/sumak# cat /etc/apt/sources.list


# stable
deb http://deb.debian.org/debian/ stretch main contrib non-free
# stable updates
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
# stable-backports
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
# stable security
deb http://security.debian.org/ stretch/updates main contrib non-free



robert2a a écrit :

ps: tu a refusé l'installation du driver quand tu dis avoir dit "non"
désolé je suis parfois un peu long a la détente old_geek.gif


Héhé, pas de soucis, je crois qu'on a une surprise ... !

apt-get install aptitude aptitude-doc-fr


E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.



En revanche, pas de soucis pour

root@debian:/home/sumak# apt-get -s install nvidia-driver


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
nvidia-driver is already the newest version (384.130-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
46 partiellement installés ou enlevés.
Conf libglx0-glvnd-nvidia (384.130-1 Debian:9.5/stable [amd64])
Conf libvulkan1 (1.1.73+dfsg-1~gpu18.10.1 Proprietary GPU Drivers:18.10/cosmic [amd64])
Conf nvidia-support (20151021+4 Debian:9.5/stable [amd64])
Conf libgles-nvidia1 (384.130-1 Debian:9.5/stable [amd64])
Conf libgles-nvidia2 (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-kernel-common (20151021+4 Debian:9.5/stable [amd64])
Conf libnvidia-ml1 (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-vulkan-icd (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-egl-icd (384.130-1 Debian:9.5/stable [amd64])
Conf libfakeroot (1.21-3.1 Debian:9.5/stable [amd64])
Conf update-glx (0.8.3~deb9u1 Debian:9.5/stable [amd64])
Conf libglvnd0-nvidia (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-driver (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-modprobe (384.111-2~deb9u1 Debian:9.5/stable [amd64])
Conf nvidia-vulkan-common (384.130-1 Debian:9.5/stable [amd64])
Conf gcc (4:6.3.0-4 Debian:9.5/stable [amd64])
Conf nvidia-vdpau-driver (384.130-1 Debian:9.5/stable [amd64])
Conf libgl1-nvidia-glvnd-glx (384.130-1 Debian:9.5/stable [amd64])
Conf libglx-nvidia0 (384.130-1 Debian:9.5/stable [amd64])
Conf glx-alternative-nvidia (0.8.3~deb9u1 Debian:9.5/stable [amd64])
Conf libnvidia-egl-wayland1 (384.130-1 Debian:9.5/stable [amd64])
Conf dkms (2.3-2 Debian:9.5/stable [all])
Conf nvidia-kernel-dkms (384.130-1 Debian:9.5/stable [amd64])
Conf libegl-nvidia0 (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-egl-common (384.130-1 Debian:9.5/stable [amd64])
Conf libgles1-glvnd-nvidia (384.130-1 Debian:9.5/stable [amd64])
Conf libnvidia-cfg1 (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-egl-wayland-icd (384.130-1 Debian:9.5/stable [amd64])
Conf make (4.1-9.1 Debian:9.5/stable [amd64])
Conf fakeroot (1.21-3.1 Debian:9.5/stable [amd64])
Conf nvidia-kernel-support (384.130-1 Debian:9.5/stable [amd64])
Conf glx-diversions (0.8.3~deb9u1 Debian:9.5/stable [amd64])
Conf nvidia-driver-libs (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-driver-bin (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-persistenced (384.111-1~deb9u1 Debian:9.5/stable [amd64])
Conf xserver-xorg-video-nvidia (384.130-1 Debian:9.5/stable [amd64])
Conf libgl1-glvnd-nvidia-glx (384.130-1 Debian:9.5/stable [amd64])
Conf glx-alternative-mesa (0.8.3~deb9u1 Debian:9.5/stable [amd64])
Conf nvidia-egl-wayland-common (384.130-1 Debian:9.5/stable [amd64])
Conf libopengl0-glvnd-nvidia (384.130-1 Debian:9.5/stable [amd64])
Conf patch (2.7.5-1+deb9u1 Debian:9.5/stable [amd64])
Conf libnvidia-glcore (384.130-1 Debian:9.5/stable [amd64])
Conf libegl1-glvnd-nvidia (384.130-1 Debian:9.5/stable [amd64])
Conf libgles2-glvnd-nvidia (384.130-1 Debian:9.5/stable [amd64])
Conf libnvidia-eglcore (384.130-1 Debian:9.5/stable [amd64])
Conf nvidia-alternative (384.130-1 Debian:9.5/stable [amd64])




Je joue mais mon jouet n'est pas compatible avec Linux (Starcraft 2)... et je suis dans l'optique d'apprendre le JS, alors ne me distrait pas s'il te plait tongue.
Quand tu ajoutes "aptitude-doc-fr" après apt-get install, ça indique de charger le fichier nommer "aptitude-doc-fr" en plus de réaliser l'installation ?

Hors ligne

#9 25-09-2018 19:56:37

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Bug d'affichage et diverses questions

oui c'est la doc en fr pour aptitude , pas obligé de l'installer.

ceci pas correct :


nvidia-driver is already the newest version (384.130-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
46 partiellement installés ou enlevés.
 



un apt update  et apt upgrade ça donne quoi ?


apt update
 


et


apt upgrade
 


tu est en train de faire une installation et il te répond que déjà installé

Hors ligne

#10 26-09-2018 18:15:48

Sumak Kawsay
Membre
Lieu : Grenoble
Distrib. : Debian Buster
Noyau : Linux 4.19.0-6-amd64
(G)UI : GNOME
Inscription : 24-09-2018

Re : [résolu] Bug d'affichage et diverses questions

Salut !

Des messages d'erreur, en effet ...

sudo apt update


[sudo] Mot de passe de sumak :
Ign:2 http://deb.debian.org/debian stretch InRelease                  
Réception de:3 http://security.debian.org stretch/updates InRelease [94,3 kB]  
Réception de:4 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Réception de:1 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu cosmic InRelease [21,3 kB]
Réception de:5 http://deb.debian.org/debian stretch-backports InRelease [91,8 kB]
Atteint:6 http://deb.debian.org/debian stretch Release                        
Atteint:7 https://deb.nodesource.com/node_8.x stretch InRelease
Réception de:8 https://packages.microsoft.com/repos/vscode stable InRelease [2 802 B]
Réception de:9 http://deb.debian.org/debian stretch-backports/main amd64 Packages [440 kB]
Err:1 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu cosmic InRelease    
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY FCAE110B1118213C
Réception de:10 http://deb.debian.org/debian stretch-backports/main Translation-en [325 kB]
Réception de:11 http://deb.debian.org/debian stretch-backports/contrib amd64 Packages [7 292 B]
Réception de:12 http://deb.debian.org/debian stretch-backports/contrib Translation-en [5 877 B]
Réception de:13 http://deb.debian.org/debian stretch-backports/non-free amd64 Packages [23,1 kB]
Réception de:14 http://deb.debian.org/debian stretch-backports/non-free Translation-en [30,3 kB]
Réception de:16 https://packages.microsoft.com/repos/vscode stable/main amd64 Packages [66,2 kB]
Atteint:17 https://packagecloud.io/AtomEditor/atom/any any InRelease
Lecture des listes de paquets... Fait
W: Erreur de GPG : http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu cosmic InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY FCAE110B1118213C
E: The repository 'http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu cosmic InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.



sudo apt upgrade



E: dpkg a été interrompu. Il est nécessaire d'utiliser « sudo dpkg --configure -a » pour corriger le problème.
 


(toujours ce meme message, pas eu le temps de regarder, et c'est un peu pareil aujourd'hui j'ai à peine 30 minutes :x)

Pourtant j'ai bien supprimé le .run que j'avais télécharger sur le site de Nvidia (et reboot un bon nombre de fois depuis)

Hors ligne

#11 26-09-2018 18:59:59

smolski
quasi...modo
Lieu : AIN
Distrib. : backports (buster) 10
Noyau : Linux 4.19.0-8-amd64
(G)UI : gnome
Inscription : 21-10-2008

Re : [résolu] Bug d'affichage et diverses questions

As-tu des sources dans le répertoire /etc/apt/sources.list.d ?
Le retour dette commande en user nous l'indiquera :

ls /etc/apt/sources.list.d/


À noter qu'il ne faut pas faire des copie/colle depuis les commandes du forum (nous ne sommes pas sur ton ordinateur) mais les écrire en utilisant l'autocomplétion par sécurité :
https://debian-facile.org/doc:programma … completion smile


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#12 26-09-2018 19:32:25

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Bug d'affichage et diverses questions

c'est pas bon du tout


Archive: cosmic
Version: 18.10
Component: main
Origin: LP-PPA-graphics-drivers
Label: Proprietary GPU Drivers
Architecture: amd64
 



roll

Hors ligne

#13 26-09-2018 22:46:42

èfpé
Membre
Inscription : 10-07-2016

Re : [résolu] Bug d'affichage et diverses questions

Coucou en passant,

Sumak Kawsay a écrit :

Pourtant j'ai bien supprimé le .run que j'avais téléchargé sur le site de Nvidia (et reboot un bon nombre de fois depuis).


Ce n'est pas parce que tu as supprimé le fichier NVIDIA-machin.run que le pilote a été désinstallé.

Hors ligne

#14 03-10-2018 21:33:48

Sumak Kawsay
Membre
Lieu : Grenoble
Distrib. : Debian Buster
Noyau : Linux 4.19.0-6-amd64
(G)UI : GNOME
Inscription : 24-09-2018

Re : [résolu] Bug d'affichage et diverses questions

Hey, j'suis de retour (après quelques jours d'absence et une réinstallation !). Après réinstallation (il y a une petite heure), j'ai été  étonné de voir que certains paramètres étaient toujours présent alors que j'ai repartitionné tout les disques scratchhead.gif. Le bug d'affichage est toujours présent !

smolski a écrit :

As-tu des sources dans le répertoire /etc/apt/sources.list.d ?


Nada ! (le dossier existe mais est vide)

èfpé a écrit :


Ce n'est pas parce que tu as supprimé le fichier NVIDIA-machin.run que le pilote a été désinstallé.


Je pensais que "tout était fichier sur Linux" ! lol Qu'il est bon d'être naïf. Du coup "l'execution" du .run à créé un mutlitude de fichier à supprimé ? Si oui, il y a bien un commande magique pour tout suppriimé d'un coup non ?

Merci de votre patience si vous repassez dans le coin old_geek.gif

Hors ligne

#15 03-10-2018 22:07:44

Sumak Kawsay
Membre
Lieu : Grenoble
Distrib. : Debian Buster
Noyau : Linux 4.19.0-6-amd64
(G)UI : GNOME
Inscription : 24-09-2018

Re : [résolu] Bug d'affichage et diverses questions

Je viens de finir le guide officiel sans message d'érreur, tout semble s'être dérouler sans soucis ! Je taguerai le post "RESOLU" d'ici quelques jours si je constate que le bug à disparu.

Merci pour votre aide smile

Hors ligne

#16 04-10-2018 07:38:40

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : [résolu] Bug d'affichage et diverses questions

C’est résolu ? Alors il faut l’indiquer dans le titre wink

Hors ligne

#17 04-10-2018 15:14:42

èfpé
Membre
Inscription : 10-07-2016

Re : [résolu] Bug d'affichage et diverses questions

Coucou en repassant,

Sumak Kawsay a écrit :

Du coup l'exécution du .run a créé une multitude de fichiers à supprimer ? Si oui, il y a bien une commande magique pour tout supprimer d'un coup non ?


Magique je ne sais pas, mais efficace très certainement... si le pilote avait effectivement été installé :

/usr/bin/nvidia-installer --uninstall


Ceci dit le paquet nvidia-driver dépend du paquet nvidia-installer-cleanup, chargé de faire le ménage.

Tu as réinstallé la question ne se pose plus. De plus il semble que tu avais ouvert le .run dans gedit.

Hors ligne

#18 04-10-2018 17:46:42

èfpé
Membre
Inscription : 10-07-2016

Re : [résolu] Bug d'affichage et diverses questions

Re-,

robert2a a écrit :

./NVIDIA-machin.run --uninstall


C'est juste moins pratique si on a comme Sumak Kawsay, supprimé le fichier NVIDIA-machin.run.

L'installation du paquet nvidia-driver est propre, mais aussi et de très de loin beaucoup plus simple !

Dernière modification par èfpé (04-10-2018 17:56:42)

Hors ligne

#19 04-10-2018 19:54:37

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Bug d'affichage et diverses questions

l installateur nvidia fait ce qu il faut pour la désinstallation
la commande officielle est celle de ci dessus
le dossier d'installation pour nvidia est pas forcément le même que pour debian.
ça fait bien longtemps que je n'utilise plus le .run
il y a des logs spécifiques au .run , pour avoir un récapitulatif de l'installation
enfin de mémoire le .run installe cuda aussi , chose qui est séparé chez debian

nota: n'importe quel .run (encore de mémoire) permet de désinstaller l'ancien driver
puisque a l'époque au moindre nouveau noyau il fallait réinstaller le driver , l'occasion d'en mettre un plus récent.

Dernière modification par robert2a (04-10-2018 20:28:21)

Hors ligne

#20 04-10-2018 21:20:42

èfpé
Membre
Inscription : 10-07-2016

Re : [résolu] Bug d'affichage et diverses questions

Re-,

robert2a a écrit :

[...] la commande officielle est celle ci-dessus [...]


Ah ? Bon. La documentation officielle est très claire, concernant l'usage possible de nvidia-installer :

NVIDIA Corporation a écrit :

nvidia-installer will also install itself to /usr/bin/nvidia-installer, which may be used at some later time to uninstall drivers, auto-download updated drivers, etc.


robert2a a écrit :

[...] au moindre nouveau noyau il fallait réinstaller le pilote [...]


Cela fait tout de même quelques années que l'option --dkms permet d'éviter de réinstaller le pilote.

Bon, on va peut-être arrêter de flooder stérilement, non ? L'OP ayant installé le pilote proprement.

Dernière modification par èfpé (05-10-2018 17:20:42)

Hors ligne

#21 05-10-2018 04:38:37

smolski
quasi...modo
Lieu : AIN
Distrib. : backports (buster) 10
Noyau : Linux 4.19.0-8-amd64
(G)UI : gnome
Inscription : 21-10-2008

Re : [résolu] Bug d'affichage et diverses questions

C'est un post riche que nous avons là, et même si les interventions se croisent et peuvent en rendre le suivi difficile, au bout du bout, le problème semble résolu et c'est le principal.
yes.gif

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#22 07-11-2018 19:04:16

Sumak Kawsay
Membre
Lieu : Grenoble
Distrib. : Debian Buster
Noyau : Linux 4.19.0-6-amd64
(G)UI : GNOME
Inscription : 24-09-2018

Re : [résolu] Bug d'affichage et diverses questions

Hey ! Désolé de repasser seulement maintenant !

Oui un poste riche et résolu ! Un GRAND merci à tous pour votre temps smile

Hors ligne

Pied de page des forums